Package org.h2.engine

# Class QueryStatisticsData.QueryEntry

java.lang.Object
org.h2.engine.QueryStatisticsData.QueryEntry

Enclosing class:
  QueryStatisticsData

public static final class QueryStatisticsData.QueryEntry extends Object
The collected statistics for one query.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`count`
The number of times the statement was executed.
`long`
`executionTimeCumulativeNanos`
The total execution time.
`long`
`executionTimeMaxNanos`
The maximum execution time, in nanoseconds.
`double`
`executionTimeMeanNanos`
The mean execution time.
`long`
`executionTimeMinNanos`
The minimum execution time, in nanoseconds.
`long`
`lastUpdateTime`
The last time the statistics for this entry were updated, in milliseconds since 1970.
`long`
`rowCountCumulative`
The total number of rows.
`long`
`rowCountMax`
The maximum number of rows.
`double`
`rowCountMean`
The mean number of rows.
`long`
`rowCountMin`
The minimum number of rows.
`final String`
`sqlStatement`
The SQL statement.

## Constructor Summary

Constructors
Constructor
Description
`QueryEntry(String sql)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getExecutionTimeStandardDeviation()`
`double`
`getRowCountStandardDeviation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sqlStatement

public final String sqlStatement
The SQL statement.

### count

public int count
The number of times the statement was executed.

### lastUpdateTime

public long lastUpdateTime
The last time the statistics for this entry were updated, in milliseconds since 1970.

### executionTimeMinNanos

public long executionTimeMinNanos
The minimum execution time, in nanoseconds.

### executionTimeMaxNanos

public long executionTimeMaxNanos
The maximum execution time, in nanoseconds.

### executionTimeCumulativeNanos

public long executionTimeCumulativeNanos
The total execution time.

### rowCountMin

public long rowCountMin
The minimum number of rows.

### rowCountMax

public long rowCountMax
The maximum number of rows.

### rowCountCumulative

public long rowCountCumulative
The total number of rows.

### executionTimeMeanNanos

public double executionTimeMeanNanos
The mean execution time.

### rowCountMean

public double rowCountMean
The mean number of rows.

## Constructor Details

### QueryEntry

public QueryEntry(String sql)

## Method Details

### getExecutionTimeStandardDeviation

public double getExecutionTimeStandardDeviation()

### getRowCountStandardDeviation

public double getRowCountStandardDeviation()